{{- if .Values.ingress.enabled }}
apiVersion: traefik.containo.us/v1alpha1
kind: IngressRoute
metadata:
  name: {{ include "wandertag-app.fullname" . }}
  namespace: {{ .Release.Namespace }}
  labels:
    {{- include "wandertag-app.labels" . | nindent 4 }}
spec:
  entryPoints:
    {{- range $entryPoint := .Values.ingress.entryPoints }}
    - {{ $entryPoint }}
    {{- end }}
  routes:
    - match: {{ printf "Host(`%s`)" .Values.ingress.host }}
      kind: Rule
      services:
        - name: {{ include "wandertag-app.fullname" . }}
          port: {{ .Values.service.port }}
      {{- with $.Values.ingress.additionalMiddlewares }}
      middlewares:
        {{- toYaml . | nindent 8 }}
      {{- end }}
  tls:
    certResolver: {{ .Values.ingress.tls.certResolver }}
{{- end }}
